Name: 		screentube
Version: 	0.6.4
Release: 	%mkrel 1
Summary: 	Screencast Recording Application
Summary(sr): 	Програм за снимање презентација на екрану
Group:   	Graphics
License: 	GPL
URL:     	http://www.youtube.com/
Source:  	%{name}-%{version}.tar.xz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

%description
Screencasts for YouTube - Record and upload a screencast

%description -l sr
Презентације за YouTube - Снимање и постављање екранских презентација

%prep

%setup -q

%install
rm -rf %{buildroot}

export DONT_STRIP=1

mkdir -p %{buildroot}/usr/bin
install -m 0755 %{name} %{buildroot}/%{_bindir}

mkdir -p %buildroot/%_miconsdir \
	 %buildroot/%_liconsdir \
	 %buildroot/%_iconsdir
	
install -m 0644 %{name}-16.png %buildroot/%{_miconsdir}/%{name}.png
install -m 0644 %{name}-32.png %buildroot/%{_iconsdir}/%{name}.png
install -m 0644 %{name}-48.png %buildroot/%{_liconsdir}/%{name}.png

mkdir -p %{buildroot}/%{_datadir}/applications
install -m 0644 %{name}.desktop %{buildroot}/%{_datadir}/applications

%clean
rm -rf %{buildroot}


%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Sun Sep 19 2010 Slax <root@pclinux.in.rs> 0.6.4-1slax2010
- import portable app to pclos


